
Redmine - Defect #13903

undefined method `jsonp_enabled?' for

2013-04-29 10:23 - Marco Tralles

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.0

Description

i upgraded from redmine-2.2.1 to redmine-2.3.0 by folowing the upgrade-instruction but since then i'm unable to edit the settings …

Started GET "/settings" for 79.230.95.56 at Mon Apr 29 10:20:35 +0200 2013

Processing by SettingsController#index as HTML

  Current user: marco.tralles (id=1)

  Rendered settings/_general.html.erb (6.4ms)

  Rendered settings/_display.html.erb (9.1ms)

  Rendered settings/_authentication.html.erb (5.1ms)

  Rendered common/_tabs.html.erb (25.0ms)

  Rendered settings/edit.html.erb within layouts/admin (25.5ms)

Completed 500 Internal Server Error in 39ms

ActionView::Template::Error (undefined method `jsonp_enabled?' for #<Class:0x7f5e510eadd8>):

    20: 

    21: <p><%= setting_check_box :rest_api_enabled %></p>

    22: 

    23: <p><%= setting_check_box :jsonp_enabled %></p>

    24: </div>

    25: 

    26: <fieldset class="box">

  app/helpers/settings_helper.rb:77:in `send'

  app/helpers/settings_helper.rb:77:in `setting_check_box'

  app/views/settings/_authentication.html.erb:23:in `_app_views_settings__authentication_html_erb_

_1288271338_70021525672740'

  app/views/settings/_authentication.html.erb:1:in `_app_views_settings__authentication_html_erb__

1288271338_70021525672740'

  app/views/common/_tabs.html.erb:24:in `_app_views_common__tabs_html_erb___2143840881_70021529800

140'

  app/views/common/_tabs.html.erb:23:in `each'

  app/views/common/_tabs.html.erb:23:in `_app_views_common__tabs_html_erb___2143840881_70021529800

140'

  app/helpers/application_helper.rb:271:in `render_tabs'

  app/views/settings/edit.html.erb:3:in `_app_views_settings_edit_html_erb___34582695_700215298588

60'

  app/controllers/settings_controller.rb:28:in `index'

Related issues:

Related to Redmine - Defect #14205: undefined method `default_projects_tracke... Closed

History

#1 - 2013-05-01 17:31 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Make sure you're using a fresh config/settings.yml without any local changes.

#2 - 2013-06-03 23:16 - Cezary Błajszczak

I encountered the same problem, but on a fresh installation. I saw #12861, but the solution provided there doesn't seem to work for me (I did chmod
http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade
https://www.redmine.org/issues/12861


-R 777 redmine_dir).

I didn't change config/settings.yml manually.

Any solution please?

#3 - 2013-06-05 22:15 - Jean-Philippe Lang

- Related to Defect #14205: undefined method `default_projects_tracker_ids' on new subproject added
